Executive Summary

Summary
Title Oracle JDK/JRE, IcedTea: Multiple vulnerabilities
Informations
Name GLSA-201709-22 First vendor Publication 2017-09-24
Vendor Gentoo Last vendor Modification 2017-09-24
Severity (Vendor) N/A Revision N/A

Security-Database Scoring CVSS v3

Cvss vector : N/A
Overall CVSS Score NA
Base Score NA Environmental Score NA
impact SubScore NA Temporal Score NA
Exploitabality Sub Score NA
 
Calculate full CVSS 3.0 Vectors scores

Security-Database Scoring CVSS v2

Cvss vector : (AV:N/AC:M/Au:N/C:P/I:P/A:P)
Cvss Base Score 6.8 Attack Range Network
Cvss Impact Score 6.4 Attack Complexity Medium
Cvss Expoit Score 8.6 Authentication None Required
Calculate full CVSS 2.0 Vectors scores

Detail

Synopsis

Multiple vulnerabilities have been found in Oracle's JRE and JDK software suites, and IcedTea, the worst of which may allow execution of arbitrary code.

Background

Java Platform, Standard Edition (Java SE) lets you develop and deploy Java applications on desktops and servers, as well as in today’s demanding embedded environments. Java offers the rich user interface, performance, versatility, portability, and security that today’s applications require.

IcedTea’s aim is to provide OpenJDK in a form suitable for easy configuration, compilation and distribution with the primary goal of allowing inclusion in GNU/Linux distributions.

Description

Multiple vulnerabilities have been discovered in Oracle’s JRE, JDK and IcedTea. Please review the referenced CVE identifiers for details.

Impact

A remote attacker could possibly execute arbitrary code with the privileges of the process, cause a Denial of Service condition, or gain access to information.

Workaround

There is no known workaround at this time.

Resolution

All Oracle JDK binary users should upgrade to the latest version:
# emerge --sync
# emerge --ask --oneshot -v ">=dev-java/oracle-jdk-bin-1.8.0.141"

All Oracle JRE binary users should upgrade to the latest version:
# emerge --sync
# emerge --ask --oneshot -v ">=dev-java/oracle-jre-bin-1.8.0.141"

All IcedTea binary 7.x users should upgrade to the latest version:
# emerge --sync
# emerge --ask --oneshot --verbose ">=dev-java/icedtea-bin-7.2.6.11"

All IcedTea binary 3.x users should upgrade to the latest version:
# emerge --sync
# emerge --ask --oneshot --verbose ">=dev-java/icedtea-bin-3.5.0"

References

[ 1 ] CVE-2017-10053 : http://nvd.nist.gov/nvd.cfm?cvename=CVE-2017-10053
[ 2 ] CVE-2017-10067 : http://nvd.nist.gov/nvd.cfm?cvename=CVE-2017-10067
[ 3 ] CVE-2017-10074 : http://nvd.nist.gov/nvd.cfm?cvename=CVE-2017-10074
[ 4 ] CVE-2017-10078 : http://nvd.nist.gov/nvd.cfm?cvename=CVE-2017-10078
[ 5 ] CVE-2017-10081 : http://nvd.nist.gov/nvd.cfm?cvename=CVE-2017-10081
[ 6 ] CVE-2017-10086 : http://nvd.nist.gov/nvd.cfm?cvename=CVE-2017-10086
[ 7 ] CVE-2017-10087 : http://nvd.nist.gov/nvd.cfm?cvename=CVE-2017-10087
[ 8 ] CVE-2017-10089 : http://nvd.nist.gov/nvd.cfm?cvename=CVE-2017-10089
[ 9 ] CVE-2017-10090 : http://nvd.nist.gov/nvd.cfm?cvename=CVE-2017-10090
[ 10 ] CVE-2017-10096 : http://nvd.nist.gov/nvd.cfm?cvename=CVE-2017-10096
[ 11 ] CVE-2017-10101 : http://nvd.nist.gov/nvd.cfm?cvename=CVE-2017-10101
[ 12 ] CVE-2017-10102 : http://nvd.nist.gov/nvd.cfm?cvename=CVE-2017-10102
[ 13 ] CVE-2017-10105 : http://nvd.nist.gov/nvd.cfm?cvename=CVE-2017-10105
[ 14 ] CVE-2017-10107 : http://nvd.nist.gov/nvd.cfm?cvename=CVE-2017-10107
[ 15 ] CVE-2017-10108 : http://nvd.nist.gov/nvd.cfm?cvename=CVE-2017-10108
[ 16 ] CVE-2017-10109 : http://nvd.nist.gov/nvd.cfm?cvename=CVE-2017-10109
[ 17 ] CVE-2017-10110 : http://nvd.nist.gov/nvd.cfm?cvename=CVE-2017-10110
[ 18 ] CVE-2017-10111 : http://nvd.nist.gov/nvd.cfm?cvename=CVE-2017-10111
[ 19 ] CVE-2017-10114 : http://nvd.nist.gov/nvd.cfm?cvename=CVE-2017-10114
[ 20 ] CVE-2017-10115 : http://nvd.nist.gov/nvd.cfm?cvename=CVE-2017-10115
[ 21 ] CVE-2017-10116 : http://nvd.nist.gov/nvd.cfm?cvename=CVE-2017-10116
[ 22 ] CVE-2017-10117 : http://nvd.nist.gov/nvd.cfm?cvename=CVE-2017-10117
[ 23 ] CVE-2017-10118 : http://nvd.nist.gov/nvd.cfm?cvename=CVE-2017-10118
[ 24 ] CVE-2017-10121 : http://nvd.nist.gov/nvd.cfm?cvename=CVE-2017-10121
[ 25 ] CVE-2017-10125 : http://nvd.nist.gov/nvd.cfm?cvename=CVE-2017-10125
[ 26 ] CVE-2017-10135 : http://nvd.nist.gov/nvd.cfm?cvename=CVE-2017-10135
[ 27 ] CVE-2017-10176 : http://nvd.nist.gov/nvd.cfm?cvename=CVE-2017-10176
[ 28 ] CVE-2017-10193 : http://nvd.nist.gov/nvd.cfm?cvename=CVE-2017-10193
[ 29 ] CVE-2017-10198 : http://nvd.nist.gov/nvd.cfm?cvename=CVE-2017-10198
[ 30 ] CVE-2017-10243 : http://nvd.nist.gov/nvd.cfm?cvename=CVE-2017-10243

Availability

This GLSA and any updates to it are available for viewing at the Gentoo Security Website:

https://security.gentoo.org/glsa/201709-22

Original Source

Url : http://security.gentoo.org/glsa/glsa-201709-22.xml

CPE : Common Platform Enumeration

TypeDescriptionCount
Application 1
Application 3
Application 3
Application 1

Nessus® Vulnerability Scanner

Date Description
2018-11-27 Name : The remote Virtuozzo host is missing a security update.
File : Virtuozzo_VZLSA-2017-2424.nasl - Type : ACT_GATHER_INFO
2018-11-27 Name : The remote Virtuozzo host is missing a security update.
File : Virtuozzo_VZLSA-2017-1789.nasl - Type : ACT_GATHER_INFO
2018-08-17 Name : The remote PhotonOS host is missing multiple security updates.
File : PhotonOS_PHSA-2017-0026.nasl - Type : ACT_GATHER_INFO
2017-12-26 Name : The remote Amazon Linux AMI host is missing a security update.
File : ala_ALAS-2017-936.nasl - Type : ACT_GATHER_INFO
2017-12-18 Name : The remote EulerOS host is missing multiple security updates.
File : EulerOS_SA-2017-1331.nasl - Type : ACT_GATHER_INFO
2017-12-18 Name : The remote EulerOS host is missing multiple security updates.
File : EulerOS_SA-2017-1330.nasl - Type : ACT_GATHER_INFO
2017-12-15 Name : The remote Red Hat host is missing one or more security updates.
File : redhat-RHSA-2017-3453.nasl - Type : ACT_GATHER_INFO
2017-12-08 Name : The remote Virtuozzo host is missing a security update.
File : Virtuozzo_VZLSA-2017-3392.nasl - Type : ACT_GATHER_INFO
2017-12-07 Name : The remote CentOS host is missing one or more security updates.
File : centos_RHSA-2017-3392.nasl - Type : ACT_GATHER_INFO
2017-12-07 Name : The remote Oracle Linux host is missing one or more security updates.
File : oraclelinux_ELSA-2017-3392.nasl - Type : ACT_GATHER_INFO
2017-12-07 Name : The remote Red Hat host is missing one or more security updates.
File : redhat-RHSA-2017-3392.nasl - Type : ACT_GATHER_INFO
2017-12-07 Name : The remote Scientific Linux host is missing one or more security updates.
File : sl_20171206_java_1_7_0_openjdk_on_SL6_x.nasl - Type : ACT_GATHER_INFO
2017-10-23 Name : The remote Debian host is missing a security-related update.
File : debian_DSA-4005.nasl - Type : ACT_GATHER_INFO
2017-09-25 Name : The remote Gentoo host is missing one or more security-related patches.
File : gentoo_GLSA-201709-22.nasl - Type : ACT_GATHER_INFO
2017-09-13 Name : The version of Java SDK installed on the remote AIX host is affected by multi...
File : aix_java_july2017_advisory.nasl - Type : ACT_GATHER_INFO
2017-09-11 Name : The remote EulerOS host is missing multiple security updates.
File : EulerOS_SA-2017-1208.nasl - Type : ACT_GATHER_INFO
2017-09-11 Name : The remote EulerOS host is missing multiple security updates.
File : EulerOS_SA-2017-1207.nasl - Type : ACT_GATHER_INFO
2017-08-30 Name : The remote SUSE host is missing one or more security updates.
File : suse_SU-2017-2281-1.nasl - Type : ACT_GATHER_INFO
2017-08-30 Name : The remote SUSE host is missing one or more security updates.
File : suse_SU-2017-2280-1.nasl - Type : ACT_GATHER_INFO
2017-08-29 Name : The remote Debian host is missing a security update.
File : debian_DLA-1073.nasl - Type : ACT_GATHER_INFO
2017-08-28 Name : The remote SUSE host is missing one or more security updates.
File : suse_SU-2017-2263-1.nasl - Type : ACT_GATHER_INFO
2017-08-28 Name : The remote Debian host is missing a security-related update.
File : debian_DSA-3954.nasl - Type : ACT_GATHER_INFO
2017-08-25 Name : The remote Red Hat host is missing one or more security updates.
File : redhat-RHSA-2017-2530.nasl - Type : ACT_GATHER_INFO
2017-08-22 Name : The remote Scientific Linux host is missing one or more security updates.
File : sl_20170807_java_1_7_0_openjdk_on_SL6_x.nasl - Type : ACT_GATHER_INFO
2017-08-21 Name : The remote openSUSE host is missing a security update.
File : openSUSE-2017-954.nasl - Type : ACT_GATHER_INFO
2017-08-18 Name : The remote Ubuntu host is missing one or more security-related patches.
File : ubuntu_USN-3396-1.nasl - Type : ACT_GATHER_INFO
2017-08-17 Name : The remote SUSE host is missing one or more security updates.
File : suse_SU-2017-2175-1.nasl - Type : ACT_GATHER_INFO
2017-08-17 Name : The remote Red Hat host is missing one or more security updates.
File : redhat-RHSA-2017-2481.nasl - Type : ACT_GATHER_INFO
2017-08-16 Name : The remote CentOS host is missing one or more security updates.
File : centos_RHSA-2017-2424.nasl - Type : ACT_GATHER_INFO
2017-08-16 Name : The remote Amazon Linux AMI host is missing a security update.
File : ala_ALAS-2017-869.nasl - Type : ACT_GATHER_INFO
2017-08-15 Name : The remote Red Hat host is missing one or more security updates.
File : redhat-RHSA-2017-2469.nasl - Type : ACT_GATHER_INFO
2017-08-10 Name : The remote Oracle Linux host is missing one or more security updates.
File : oraclelinux_ELSA-2017-2424.nasl - Type : ACT_GATHER_INFO
2017-08-08 Name : The remote Red Hat host is missing one or more security updates.
File : redhat-RHSA-2017-2424.nasl - Type : ACT_GATHER_INFO
2017-08-08 Name : The remote EulerOS host is missing multiple security updates.
File : EulerOS_SA-2017-1151.nasl - Type : ACT_GATHER_INFO
2017-08-08 Name : The remote EulerOS host is missing multiple security updates.
File : EulerOS_SA-2017-1150.nasl - Type : ACT_GATHER_INFO
2017-08-01 Name : The remote Ubuntu host is missing one or more security-related patches.
File : ubuntu_USN-3366-2.nasl - Type : ACT_GATHER_INFO
2017-07-27 Name : The remote Ubuntu host is missing one or more security-related patches.
File : ubuntu_USN-3366-1.nasl - Type : ACT_GATHER_INFO
2017-07-27 Name : The remote Debian host is missing a security-related update.
File : debian_DSA-3919.nasl - Type : ACT_GATHER_INFO
2017-07-26 Name : The remote Amazon Linux AMI host is missing a security update.
File : ala_ALAS-2017-860.nasl - Type : ACT_GATHER_INFO
2017-07-24 Name : The remote CentOS host is missing one or more security updates.
File : centos_RHSA-2017-1789.nasl - Type : ACT_GATHER_INFO
2017-07-21 Name : The remote Scientific Linux host is missing one or more security updates.
File : sl_20170720_java_1_8_0_openjdk_on_SL6_x.nasl - Type : ACT_GATHER_INFO
2017-07-21 Name : The remote Red Hat host is missing one or more security updates.
File : redhat-RHSA-2017-1792.nasl - Type : ACT_GATHER_INFO
2017-07-21 Name : The remote Red Hat host is missing one or more security updates.
File : redhat-RHSA-2017-1791.nasl - Type : ACT_GATHER_INFO
2017-07-21 Name : The remote Red Hat host is missing one or more security updates.
File : redhat-RHSA-2017-1790.nasl - Type : ACT_GATHER_INFO
2017-07-21 Name : The remote Red Hat host is missing one or more security updates.
File : redhat-RHSA-2017-1789.nasl - Type : ACT_GATHER_INFO
2017-07-21 Name : The remote Oracle Linux host is missing one or more security updates.
File : oraclelinux_ELSA-2017-1789.nasl - Type : ACT_GATHER_INFO
2017-07-20 Name : The remote Windows host contains a programming platform that is affected by m...
File : oracle_java_cpu_jul_2017.nasl - Type : ACT_GATHER_INFO
2017-07-20 Name : A programming platform installed on the remote Windows host is affected by mu...
File : oracle_jrockit_cpu_jul_2017.nasl - Type : ACT_GATHER_INFO
2017-07-20 Name : The remote Unix host contains a programming platform that is affected by mult...
File : oracle_java_cpu_jul_2017_unix.nasl - Type : ACT_GATHER_INFO

Alert History

If you want to see full details history, please login or register.
0
1
Date Informations
2017-09-26 13:24:57
  • Multiple Updates
2017-09-25 00:22:37
  • First insertion